pxsl-tools(1)

NAME
pxslcc - PXSL to XML converter

SYNOPSIS
pxslcc [options] file

DESCRIPTION
This manual page documents briefly the pxslcc command.

PXSL is a convenient shorthand for writing markup-heavy XML documents. It provides an alternative denotation for XML that focuses on the mark-up instead of the text, making handling mark-up heavy XML documents easier. Also, PXSL makes use of element defaults that can act as shortcuts or even as macros.

pxslcc is a program that takes a PXSL source file and any macro definitions and generates an XML file.

OPTIONS
A summary of options is included below. For a complete description, see the README file.

-i[NUM] --indent[=NUM]
    Re-indent XML using NUM spaces per nesting level.

-h, --header
    Insert an comment into the generated XML to warn against editing the XML file directly and to recommend editing the original PXSL source file instead.

-x, --xslt
    Add default element defaults for generating XSLT files.

-aFILE, --add=FILE
    Add the given defaults file.

--export
    Export (print) all of the active defaults.

--dump
    Dump internal parse format (for debugging).

--help
    Print a synopsis of command line options.

-v, --version
    Prints out the program version.

SEE ALSO
For more information, see the README file, that can be found on Debian systems at /usr/share/doc/pxsl-tools/README.gz or visit the home page at http://community.moertel.com/ss/space/pxsl.

AUTHOR
pxsl-tools was written by Thomas Moertel and Bill Hubauer.

This manual page was written by Kari Pahula <kaol@debian.org>, for the Debian project (but may be used by others).